Bug 99512 - Remove --shark* support from sunspider/run-sunspider now that Shark is dead
Summary: Remove --shark* support from sunspider/run-sunspider now that Shark is dead
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Seidel (no email)
URL:
Keywords:
Depends on: 99514
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 15:01 PDT by Eric Seidel (no email)
Modified: 2013-01-16 11:27 PST (History)
4 users (show)

See Also:


Attachments
Patch (8.65 KB, patch)
2012-10-16 15:18 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Patch (8.65 KB, patch)
2012-10-16 15:25 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2012-10-16 15:01:41 PDT
Remove --shark* support from sunspider/run-sunspider now that Shark is dead

Unless there are objections?
Comment 1 Eric Seidel (no email) 2012-10-16 15:18:34 PDT
Created attachment 169040 [details]
Patch
Comment 2 WebKit Review Bot 2012-10-16 15:23:54 PDT
Attachment 169040 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'PerformanceTests/SunSpider/ChangeLog', u'P..." exit_code: 1
PerformanceTests/SunSpider/ChangeLog:8:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Eric Seidel (no email) 2012-10-16 15:25:59 PDT
Created attachment 169041 [details]
Patch
Comment 4 Maciej Stachowiak 2012-10-16 23:54:46 PDT
JSC folks, would you still conceivably use this ever?
Comment 5 Eric Seidel (no email) 2012-10-31 01:25:43 PDT
Is it even possible to get shark from anywhere?
Comment 6 Darin Adler 2013-01-16 11:18:47 PST
Comment on attachment 169041 [details]
Patch

Iā€™m not 100 sure that this is useless. Some people may be using this on older versions of OS X and tool suites. But if so, they can squawk and bring the code back.
Comment 7 WebKit Review Bot 2013-01-16 11:27:05 PST
Comment on attachment 169041 [details]
Patch

Clearing flags on attachment: 169041

Committed r139902: <http://trac.webkit.org/changeset/139902>
Comment 8 WebKit Review Bot 2013-01-16 11:27:09 PST
All reviewed patches have been landed.  Closing bug.